### Name: impacts.sarlm
### Title: Impacts in spatial lag models
### Aliases: impacts.sarlm plot.sarlmImpact print.sarlmImpact
###   summary.sarlmImpact print.summary.sarlmImpact HPDinterval.sarlmImpact
### Keywords: spatial

### ** Examples

example(columbus)
listw <- nb2listw(col.gal.nb)
lobj <- lagsarlm(CRIME ~ INC + HOVAL, columbus, listw)
summary(lobj)
mobj <- lagsarlm(CRIME ~ INC + HOVAL, columbus, listw, type="mixed")
summary(mobj)
W <- as(as_dgRMatrix_listw(listw), "CsparseMatrix")
trMatc <- trW(W, type="mult")
trMC <- trW(W, type="MC")
impacts.sarlm(lobj, listw=listw)
impacts.sarlm(lobj, tr=trMatc)
impacts.sarlm(lobj, tr=trMC)
summary(impacts.sarlm(lobj, tr=trMatc, R=1000), zstats=TRUE)
impacts.sarlm(mobj, listw=listw)
impacts.sarlm(mobj, tr=trMatc)
impacts.sarlm(mobj, tr=trMC)
summary(impacts.sarlm(mobj, tr=trMatc, R=1000), zstats=TRUE)
mobj1 <- lagsarlm(CRIME ~ INC + HOVAL, columbus, listw, type="mixed", 
method="Matrix", fdHess=TRUE)
summary(mobj1)
summary(impacts.sarlm(mobj1, tr=trMatc, R=1000), zstats=TRUE, short=TRUE)
summary(impacts.sarlm(mobj, tr=trMatc, R=1000), zstats=TRUE, short=TRUE)
mobj2 <- lagsarlm(CRIME ~ INC + HOVAL, columbus, listw, type="mixed", 
method="Matrix", fdHess=TRUE, optimHess=TRUE)
summary(impacts.sarlm(mobj2, tr=trMatc, R=1000), zstats=TRUE, short=TRUE)
mobj3 <- lagsarlm(CRIME ~ INC + HOVAL, columbus, listw, type="mixed", 
method="spam", fdHess=TRUE)
summary(impacts.sarlm(mobj3, tr=trMatc, R=1000), zstats=TRUE, short=TRUE)
## Not run: 
##D data(boston)
##D Wb <- as(as_dgRMatrix_listw(nb2listw(boston.soi)), "CsparseMatrix")
##D trMatb <- trW(Wb, type="mult")
##D gp2mMi <- lagsarlm(log(CMEDV) ~ CRIM + ZN + INDUS + CHAS + I(NOX^2) + 
##D I(RM^2) +  AGE + log(DIS) + log(RAD) + TAX + PTRATIO + B + log(LSTAT), 
##D data=boston.c, nb2listw(boston.soi), type="mixed", method="Matrix", 
##D fdHess=TRUE, trs=trMatb)
##D summary(gp2mMi)
##D summary(impacts.sarlm(gp2mMi, tr=trMatb, R=1000), zstats=TRUE, short=TRUE)
##D data(house)
##D form <- formula(log(price) ~ age + I(age^2) + I(age^3) + log(lotsize) +
##D    rooms + log(TLA) + beds + syear)
##D lobj <- lagsarlm(form, house, nb2listw(LO_nb), method="Matrix",
##D  fdHess=TRUE, trs=trMat)
##D summary(lobj)
##D loobj <- impacts.sarlm(lobj, tr=trMat, R=1000)
##D summary(loobj, zstats=TRUE, short=TRUE)
##D mobj <- lagsarlm(form, house, nb2listw(LO_nb), type="mixed",
##D  method="Matrix", fdHess=TRUE, trs=trMat)
##D summary(mobj)
##D moobj <- impacts.sarlm(mobj, tr=trMat, R=1000)
##D summary(moobj, zstats=TRUE, short=TRUE)
## End(Not run)



